MAPIC++ClientLibraryBindings 2.0 API Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
libmapipp::profile_database Class Reference

This class represents a user profile database. More...

`#include <profile.h>`

## Public Member Functions
std::string | get_default_profile_name () throw (mapi_exception)
| Get the default profile name.
| profile_database (const std::string &profiledb_path="") throw (std::runtime_error, mapi_exception)
| Constructor.
bool | set_default (const char *profname)
| Make the specified profile the default profile.
bool | set_default (const std::string &profname)
| Make the specified profile the default profile.

## Static Public Member Functions
static bool | create_profile_store (const std::string &profiledb, const std::string &ldif_path="")
| Create an new profile database.
static std::string | get_default_profile_path ()
| The path to the default profile database.

## Detailed Description

This class represents a user profile database.

Todo:

  possibly rename profile class to profile_database?

  we should be able to create a profile using libmapi++ classes

  we should be able to delete a profile using libmapi++ classes

  maybe move some of the session.h documentation on profiles to profile.h?

## Constructor & Destructor Documentation

libmapipp::profile_database::profile_database | ( | const std::string & | profiledb_path = `""` | ) | throw (std::runtime_error, mapi_exception)
| explicit

Constructor.

Parameters

  profiledb_path | An absolute path specifying the location of the profile database. If not specified (or "" is specified) the default location will be used (~/.openchange.profiles.ldb).

## Member Function Documentation

static bool libmapipp::profile_database::create_profile_store | ( | const std::string & | profiledb,
|  | const std::string & | ldif_path = `""`
| ) |  |
| static

Create an new profile database.

Parameters

  profiledb | the absolute path to the profile database intended to be created
  ldif_path | the absolute path to the LDIF information to use for initial setup

std::string libmapipp::profile_database::get_default_profile_name | ( |  | ) | throw (mapi_exception)

Get the default profile name.

Returns
  the name of the default profile

static std::string libmapipp::profile_database::get_default_profile_path | ( |  | ) |
| static

The path to the default profile database.

This method is not normally required to be called by user applications but might be useful under some circumstances.

bool libmapipp::profile_database::set_default | ( | const char * | profname | ) |
| inline

Make the specified profile the default profile.

Parameters

  profname | the name of the profile to make default

bool libmapipp::profile_database::set_default | ( | const std::string & | profname | ) |
| inline

Make the specified profile the default profile.

Parameters

  profname | the name of the profile to make default

The documentation for this class was generated from the following file:

- libmapi++/profile.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/